<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    tools:context=".ui.still.MsdsActivity">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_marginTop="10dp"
        android:layout_height="45dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textStyle="bold"
                android:textColor="@color/white"
                android:textSize="24sp" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@+id/tvTitle"
                android:maxLines="1"
                android:textColor="@color/white" />
        </LinearLayout>
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/tvReturn"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="26dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="26dp"
        android:layout_marginBottom="20dp"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1.6"
            android:background="@mipmap/icon_etecs_one"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp">

                <ImageView
                    android:id="@+id/img"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:background="@mipmap/icon_sysmc_whp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_toRightOf="@+id/img"
                    android:text="危化品"
                    android:textColor="@color/black" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="10dp"
                android:background="@color/purple_ff54a2ea" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvView"
                android:layout_marginTop="10dp"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:layout_marginBottom="10dp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="10dp"
            android:layout_weight="0.5"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@drawable/bg_add_chemicals_one">

                <TextView
                    android:id="@+id/tvName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:text="危化品名称:"
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:layout_marginLeft="6dp"
                    android:layout_marginTop="6dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginBottom="6dp"
                    android:layout_toLeftOf="@+id/butSearch"
                    android:layout_toRightOf="@+id/tvName"
                    android:background="@drawable/bg_shu_ru_kuang">

                    <ImageView
                        android:id="@+id/imgA"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="8dp"
                        android:background="@mipmap/qsy_ssbd_zt" />

                    <EditText
                        android:id="@+id/searchValue"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_toRightOf="@+id/imgA"
                        android:background="@null"
                        android:textSize="13sp"
                        android:hint="请输入危化品名称或拼音首字母搜索"
                        android:imeOptions="actionDone"
                        android:singleLine="true" />

                </RelativeLayout>

                <Button
                    android:id="@+id/butSearch"
                    android:layout_width="60dp"
                    android:layout_height="35dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="4dp"
                    android:layout_marginRight="10dp"
                    android:textSize="13sp"
                    android:background="@drawable/bg_sou_suo_page"
                    android:text="搜索"
                    android:textColor="@color/white" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="10dp"
                android:background="@drawable/bg_add_chemicals_one">

                <com.tencent.smtt.sdk.WebView
                    android:id="@+id/webView"
                    android:layout_width="500dp"
                    android:layout_height="290dp"
                    android:layout_centerInParent="true"
                    android:background="@color/purple_ffdbdbdb" />

                <ProgressBar
                    android:id="@+id/progressbar"
                    style="@android:style/Widget.ProgressBar.Horizontal"
                    android:layout_width="0dp"
                    android:layout_height="2dp"
                    android:progress="0"
                    android:progressDrawable="@drawable/progressbar" />

                <FrameLayout
                    android:id="@+id/videoFullScreen"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <RelativeLayout
                    android:layout_width="46dp"
                    android:layout_marginTop="17dp"
                    android:layout_height="20dp"
                    android:background="@drawable/bgm_quan_ping"
                    android:layout_toRightOf="@+id/webView">

                    <TextView
                        android:id="@+id/screen"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="9dp"
                        android:layout_marginLeft="6.5dp"
                        android:layout_centerVertical="true"
                        android:text="全屏"
                        android:textColor="@color/black" />
                    <ImageView
                        android:layout_width="10dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="6dp"
                        android:background="@mipmap/icon_msds_q"
                        android:layout_height="10dp"/>

                </RelativeLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentBottom="true"
                    android:layout_marginRight="22dp"
                    android:layout_marginBottom="34dp"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/imgSign"
                        android:layout_width="50dp"
                        android:layout_height="50dp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="4dp"
                        android:text="微信扫描"
                        android:textSize="9sp"
                        android:textColor="@color/black" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="4dp"
                        android:text="二维码查看"
                        android:textSize="9sp"
                        android:textColor="@color/black" />
                </LinearLayout>

            </RelativeLayout>
        </LinearLayout>



    </LinearLayout>

    <TextView
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:textSize="12sp"
        android:gravity="center"
        android:text="返回180s"
        android:textColor="@color/white" />

</RelativeLayout>